

//	(C) 2017 R-MIK Sawomir Skrzyski
//	slawomir.skrzynski@ep.com.pl


#ifndef TLIVE_H_
#define	TLIVE_H_


#define	LIVEMATCH	0x494c				// "LI" - identyfikator w EEPROM i RAM
#define	LIVEFL		TRUE				// Plaga pracy ( FALSE - czas min)
#define	LIFESEC		1					// Liczba sekund czasu ycia programu
#define	LIFEMIN		0					// Liczba minut czasu ycia programu
#define	LIFEHOUR	10					// Liczba godzin czasu ycia programu
#define	LIFEDAY		0					// Liczba dni (max 255) czasu ycia programu

word EEtLiveMatch EEMEM = LIVEMATCH;
byte EEtLiveFlag EEMEM = LIVEFL;
byte EEtLiveHour EEMEM = LIFEHOUR;
byte EEtLiveDay EEMEM = LIFEDAY;
word EEtLiveCrc EEMEM = LIVEMATCH;			// LIVEMATCH - startowa warto CRC
word EEtLiveMatch_bak EEMEM = LIVEMATCH;	// Kopia
byte EEtLiveFlag_bak EEMEM = LIVEFL;
byte EEtLiveHour_bak EEMEM = LIFEHOUR;
byte EEtLiveDay_bak EEMEM = LIFEDAY;
word EEtLiveCrc_bak EEMEM = LIVEMATCH;


word tLiveMatch NOINIT;
byte tLiveFlag=LIVEFL;
byte tLiveSec NOINIT;
byte tLiveMin NOINIT;
byte tLiveHour=LIFEHOUR, tLiveDay=LIFEDAY, tLiveWrEEfl = FALSE;;


extern void LiveTimeCount( byte Init );
extern byte LiveTimeTest();
word LiveTimeCrc( byte crc, byte data );
byte LiveTimeReadEE();
void LiveTimeWriteEE();


#endif
