

//******************************************************************//
//																	//
//				(C) 2017 R-MIK Sawomir Skrzyski					//
//				slawomir.skrzynski@ep.com.pl						//
//																	//
//	Programu nie mona rozpowszechnia bez pisemnej zgody autora!	//
//																	//
//******************************************************************//


extern word CalculateMtpCrc( word *buf );


//=======================================================================//
word CalculateMtpCrc( word *buf )
{
word Checksum = 0xAAAA;				// Variable for checksum value
byte fl15, AddressCounter = 0x00;   // Variable for address counter
word TempChecksum = 0x0000;    		// Used whilst calculating checksum
byte CheckSumLocation = 0x7F;  		// Address at which checksum stored in FT-X


	// Starting at Word address 0x00
	AddressCounter = 0x00;

	// Calculation uses addresses from 0x00 up to 0x7E (checksum itself is located at 0x7F)
	while(AddressCounter < CheckSumLocation)
  		{
    	// EXOR the data with the current checksum and then rotate one bit to the left
		TempChecksum = *(buf+AddressCounter) ^ Checksum;
		//Checksum = (word)((TempChecksum << 1) | (TempChecksum >> 15));
		if (TempChecksum&0x8000) fl15=true; else fl15=false;
		TempChecksum <<= 1; if (fl15) TempChecksum |= 1;
		Checksum = TempChecksum;

    	// Go to next word address.
    	// If we have reached word address 0x12, then skip forward to address 0x40
    	AddressCounter ++;
    	if(AddressCounter == 0x12) AddressCounter = 0x40;
  	}


	return Checksum;
}


//=======================================================================//
