#ifndef BCD_H_
#define BCD_H_


//******************************************************************//
//																	//
//				(C) 2017 R-MIK Sawomir Skrzyski					//
//				slawomir.skrzynski@ep.com.pl						//
//																	//
//	Programu nie mona rozpowszechnia bez pisemnej zgody autora!	//
//																	//
//	bcd_decode_u64, bcd_encode_u64 i bcd_mul z formu elektroda.pl	//
//http://www.elektroda.pl/rtvforum/viewtopic.php?p=16171465#16171465//
//																	//
//******************************************************************//


#define	bcd2bin			u08_bcd2bin
#define	bin2bcd			u08_bin2bcd
#define	u64_bcd2bin		bcd_decode_u64
#define	u64_bin2bcd		bcd_encode_u64
extern byte u08_bcd2bin( byte bcd );
extern byte u08_bin2bcd( byte bin );
extern uint64_t bcd_encode_u64(uint64_t n);
extern uint64_t bcd_decode_u64(uint64_t bcd);
extern uint64_t bcd_add_u64(uint64_t bcda, uint64_t bcdb, byte *overflow);
extern uint64_t bcd_sub_u64(uint64_t bcda, uint64_t bcdb, byte *znak);
extern uint64_t bcd_mul_u64(uint64_t bcda, uint64_t bcdb, byte *overflow);
extern uint64_t bcd_div_u64(uint64_t bcda, uint64_t bcdb, uint64_t *reszta);


/******************************************************************/
#endif

