

//	(C) 2017 R-MIK Sawomir Skrzyski
//	slawomir.skrzynski@ep.com.pl


#ifndef DS18B20_H_
#define	DS18B20_H_


//=======================================================================//
#define ONEWIRE_18b20_readSCRATCHPAD	0xbe
#define ONEWIRE_18b20_writeSCRATCHPAD	0x4e
#define ONEWIRE_18b20_copySCRATCHPAD	0x48
#define ONEWIRE_18b20_recallEEPROM		0xb8
#define ONEWIRE_18b20_CONVERTTEMP		0x44
#define ONEWIRE_18b20_RPWRSUPPLY		0xb4
#define ONEWIRE_18b20_SEARCHROM			0xf0


#define	DS18B20_RESOLUTION_9	(0 << 5)
#define	DS18B20_RESOLUTION_10	(1 << 5)
#define	DS18B20_RESOLUTION_11	(2 << 5)
#define	DS18B20_RESOLUTION_12	(3 << 5)


extern double ds18b20_gettemp( byte skip, byte *match, byte rozdzielczosc );
extern byte ds18b20_Save( byte skip, byte *match, byte th, byte tl, byte cfg );
extern byte ds18b20_configW( byte skip, byte *match, byte th, byte tl, byte cfg );
extern byte ds18b20_configR( byte skip, byte *match, byte *dst );
extern byte ds18b20_Copy( byte skip, byte *match );
extern byte ds18b20_Recall( byte skip, byte *match, byte *dst );


#define	DS18B20_CFGLEN			10
#define	DS18B20_TEMPL			 0
#define	DS18B20_TEMPH			 1
#define	DS18B20_CFGTH			 2
#define	DS18B20_CFGTL			 3
#define	DS18B20_CFGRESOLUTION	 4
#define	DS18B20_CFGCRC			 8
#define	DS18B20_CFGPOWER		 9
byte ds18b20cfg[DS18B20_CFGLEN];


//=======================================================================//
#endif
