#ifndef WDGI_H_
#define WDGI_H_


//======================================================================//
#define	DEF_RST_SOFT	0x534f4654
#define	DEF_RST_UNKOWN	(DEF_RST_SOFT ^ 0xaa55a55a)
#define WDGI_NAKED		// Po obsudze IRQ wykonanie resetu (krtszy kod),
						// jeli nie chcemy uywa to po #include <rmik/wdgi.c" naley uy #undef WDGI_NAKED.
//#define	WDGI_NOIRQ	// Definicja wyczy obsug IRQ od WDG. Przydatne dla kompilacji na procesory z i bez tej moliwoci (nie generuje #warnig) gdy procesor nie ma IRQ od WDG.
long adrCallWdg, IdSoftReset  NOINIT;
long adrUserCallWdg=0;


//----------------------------------------------------------------------//
extern void InitWdgI( byte czas, void *funkcja );	// Init IRQ od WDG
extern void InitWdg( byte czas );					// Init WDG
#define SoftReset()		IdSoftReset=DEF_RST_SOFT; IdSoftReset=DEF_RST_UNKOWN; while(true);


//======================================================================//
#endif
